tqlupdate(1)

NAME
tqlupdate - update TQt Linguist translation files

SYNOPSIS
tqlupdate [ options ] project-file
tqlupdate [ options ] source-files -ts ts-files

DESCRIPTION
This page documents the TQt Linguist Update tool for the TQt GUI toolkit. Lupdate reads a tqmake/tmake project file (.pro file), finds the translatable strings in the specified source, header and interface files, and updates the translation files (.ts files) specified in it. The translation files are given to the translator who uses TQt Linguist to read the files and insert the translations.

The .ts file format is a simple human-readable XML format that can be used with version control systems if required.

OPTIONS

-help
    Display the usage and exit.

-noobsolete
    Drop all obsolete strings.

-verbose
    Explain what is being done.

-version
    Display the version of tqlupdate and exit.

USAGE
Here is an example .pro file that can be given to tqlupdate:

HEADERS         = funnydialog.h \
                  wackywidget.h
SOURCES         = funnydialog.cpp \
                  main.cpp \
                  wackywidget.cpp
FORMS           = fancybox.ui
TRANSLATIONS    = gnomovision_dk.ts \
                  gnomovision_fi.ts \
                  gnomovision_no.ts \
                  gnomovision_se.ts

When running tqlupdate on this project file, the translatable strings in all the files listed in the HEADERS, SOURCES and FORMS entries will be put in the translation files listed in the TRANSLATIONS entry. Previous translations will be reused as far as possible, and translated strings that have vanished from the source files are marked obsolete.

Lupdate can also be invoked with a list of C++ source files, .ui files and .ts files:

tqlupdate *.cpp *.h *.ui -ts gnomovision_dk.ts

SEE ALSO
tqlrelease(1) and https://trinitydesktop.org/docs/qt3/i18n.html